﻿using System;

namespace SquareRootCalculator
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine("iNetTutor.com - Square Root Calculation");

            // Prompt user to enter a number
            Console.Write("Enter a number to find its square root: ");
            string input = Console.ReadLine();

            double number;
            if (!double.TryParse(input, out number))
            {
                Console.WriteLine("Invalid input. Please enter a valid number.");
                return;
            }

            // Check if the number is non-negative
            if (number < 0)
            {
                Console.WriteLine("Cannot calculate square root of a negative number.");
                return;
            }

            // Calculate square root using Math.Sqrt method
            double squareRoot = Math.Sqrt(number);

            // Display the result
            Console.WriteLine($"Square root of {number} is: {squareRoot}");

            // Check if the square root is a perfect square
            if (squareRoot % 1 == 0)
            {
                Console.WriteLine($"{squareRoot} is a perfect square.");
            }
            else
            {
                Console.WriteLine($"{squareRoot} is not a perfect square.");
            }

            Console.ReadLine();
        }
    }
}
